build-main-image:
  extends:
    - .uselocalrunner
    - .rule-force-or-merge-rq
  stage: build_main_image
  script:
    - echo "UAT === Build application image ==="
    - export

build-app-image:
  extends:
    - .uselocalrunner
    - .rule-force-or-merge-rq
  stage: build_app_image
  script:
    - export
    - echo "UAT === Build application image ==="


image-scan-dockle-main:
  stage:
    vlb-tests
  extends:
    - .uselocalrunner
    - .rule-force-or-merge-rq
  variables:
    IMAGE_NAME: ${ECR_MAIN_IMAGE_NAME}
  script:
    - export
    - echo "UAT === test ==="

image-scan-dockle-app:
  stage:
    vlb-tests
  extends:
    - .uselocalrunner
    - .rule-force-or-merge-rq
  variables:
    IMAGE_NAME: ${ECR_APP_IMAGE_NAME}
  script:
    - export
    - echo "UAT === test ==="

deploy-feature-services:
  stage: deploy
  environment:
    name: review/${CI_COMMIT_REF_SLUG}
    on_stop: destroy-feature-env
    auto_stop_in: 1 week
  extends:
    - .uselocalrunner
    - .rule-force-or-merge-rq
  script:
    - export
    - echo "UAT === Deploying service ==="

destroy-feature-env:
  stage: destroy
  extends:
    - .uselocalrunner
    - .tf-destroy-template
    - .on-destroy-feature-env
  script:
    - export
    - echo "UAT === DESTROY ENV ==="